Api reference
POST Workspaces WorkspaceId Panes PaneId Promote Chat
POST
/v1/workspaces/{workspaceId}/panes/{paneId}/promote-chatAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
paneId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
session*
title?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/workspaces/string/panes/string/promote-chat" \ -H "Content-Type: application/json" \ -d '{ "session": { "projectId": "string", "harnessId": "string" } }'{ "pane": { "id": "string", "workspaceId": "string", "providerId": "string", "paneType": "string", "title": "string", "resourceKind": "string", "resourceId": "string", "metadata": "string", "revision": 0, "createdAt": "string", "updatedAt": "string" }, "session": { "id": "string", "projectId": "string", "serverId": "string", "harnessId": "string", "harnessAccountId": "string", "agentSessionId": "string", "title": "string", "origin": "codevisor", "isArchived": true, "archivedAt": "string", "worktreeName": "string", "workspaceId": "string", "cwd": "string", "configSelections": { "property1": "string", "property2": "string" }, "createdAt": "string", "updatedAt": "string", "sidebarState": "idle", "sidebarStateChangedAt": "string", "usage": { "used": 0, "size": 0, "inputTokens": 0, "cachedInputTokens": 0, "outputTokens": 0, "reasoningOutputTokens": 0, "totalTokens": 0, "costAmount": 0, "costCurrency": "string", "costKind": "reported" }, "latestAttentionSequence": 0, "lastSeenAttentionSequence": 0, "unreadCount": 0, "hasUnreadError": true, "actionRequired": true, "actionRequiredKind": "question", "pendingPlanApproval": true }}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}